<?php

namespace Schaffen\Gef\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use Schaffen\Gef\Presenters\ApontamentoVeiculoGastoPresenter;
use Schaffen\Gef\Repositories\ApontamentoVeiculoGastoRepository;
use Schaffen\Gef\Models\ApontamentoVeiculoGasto;
use Schaffen\Gef\Validators\ApontamentoVeiculoGastoValidator;

/**
 * Class ApontamentoVeiculoGastoRepositoryEloquent.
 *
 * @package namespace Schaffen\Gef\Repositories;
 */
class ApontamentoVeiculoGastoRepositoryEloquent extends BaseRepository implements ApontamentoVeiculoGastoRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return ApontamentoVeiculoGasto::class;
    }

   public function presenter()
   {
      return ApontamentoVeiculoGastoPresenter::class;
   }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
    }
    
}
